schemaVersion: "1.0"
pattern:
  id: "b4ede97e934bb0fc17c60976"
  className: "ch.nevis.admin.v4.plugin.nevisidm.patterns.NevisIDMGenericBatchJob"
  name: "IDM Prune Operations Accounts Job"
  label: "Batch"
  notes: "Archive accounts after 30d of disabling and delete them after a year (335d\
    \ later)\nruns daily at 01:30"
  properties:
    job: "<bean id=\"pruneOperationsAccountsJob\"  class=\"org.springframework.scheduling.quartz.JobDetailFactoryBean\"\
      >\n    <property name=\"description\" value=\"Archive and delete obsolete shadow\
      \ accounts\"/>\n    <property name=\"jobClass\" value=\"ch.nevis.idm.batch.jobs.UpdateUserStateJob\"\
      />\n    <property name=\"durability\" value=\"true\"/>\n    <property name=\"\
      jobDataMap\">\n        <bean class=\"org.quartz.JobDataMap\">\n            <constructor-arg>\n\
      \                <map>\n                    <entry key=\"daysNoActivity\" value=\"\
      -1\"/>\n                    <entry key=\"considerUsersNeverLoggedIn\" value=\"\
      true\"/>\n                    <entry key=\"sendWarning\" value=\"false\"/>\n\
      \                    <entry key=\"daysGracePeriod\" value=\"1\"/>\n        \
      \            <entry key=\"daysStatusDisabled\" value=\"30\"/>\n            \
      \        <entry key=\"daysStatusArchived\" value=\"335\"/>\n               \
      \     <entry key=\"disableOutdatedUsers\" value=\"true\"/>\n               \
      \     <entry key=\"disableNotYetActiveUsers\" value=\"false\"/>\n          \
      \          <entry key=\"excludeTechnicalUsers\" value=\"true\"/>\n         \
      \           <entry key=\"restrictToClients\" value=\"d9a334a6-b6f5-4982-a24e-13ae095a60fa\"\
      />\n                </map>\n            </constructor-arg>\n        </bean>\n\
      \    </property>\n</bean>\n"
    trigger: "<bean id=\"pruneOperationsAccountsJobTrigger\" class=\"org.springframework.scheduling.quartz.CronTriggerFactoryBean\"\
      >\n    <property name=\"description\" value=\"Archive and delete obsolete operations\
      \ accounts\"/>\n    <property name=\"jobDetail\" ref=\"pruneOperationsAccountsJob\"\
      />\n    <property name=\"cronExpression\" value=\"30 1 0 * * ?\"/>\n</bean>"
